require(geomorph)
require(ggplot2)
library(tidyverse)
require(ggpubr)

morphometric.data=readland.tps(file=file.choose(), specID = c("imageID"), readcurves=T) #select supplemental information 1: the TSP file

curves.slide <-as.matrix(read.csv(file=file.choose(), header=TRUE)) #read in Supplement information 2: the curveslide file

morphometric.data[,1,c(2,5,6,7,8,9,11,12,15,16,17,21,
          24,25,27,29,36,37,39,41,49,
          53,54,55,56,60,61,62,64,65,
          66,67,71,72,75,76,78,79,81,
          82,83,85,86,87,88,93,94,
          95,101,103,104)] <- morphometric.data[,1,c(2,5,6,7,8,9,11,12,15,16,17,21,
                                        24,25,27,29,36,37,39,41,49,
                                        53,54,55,56,60,61,62,64,65,
                                        66,67,71,72,75,76,78,79,81,
                                        82,83,85,86,87,88,93,94,
                                        95,101,103,104)]* -1 #reverse outlines that need to be reflected.

GPA.results=gpagen(morphometric.data, ProcD = TRUE) #run procrustes function

PCA.results <- plotTangentSpace(GPA.results$coords) # PCA plot with thin-plate-splines

pcscores=PCA.results$pc.scores #collates PC scores

write.csv(file="Prosomal.thorac.data.updated2.csv", pcscores) #Prints  PC scores as .CSV


plotting.data <- read.csv(file=file.choose(), header=TRUE) #select supplemental information 3: the CSV  file

ggplot(plotting.data, aes(x=PC1, y=PC2)) +
  geom_point(aes(color=Genus, shape=Genus), size=5)+
  stat_chull(aes(color = Genus, fill = NULL ), alpha = 0.1, geom = "polygon") +
  scale_shape_manual(values=c(0:2, 5:9, 10:19, 10:17, 5:9))+
  scale_color_manual(values=c('red', 'navy blue', 'grey', 'dark green', 'purple', 'orange', 'black', 'pink', 'light green', 'yellow', 'maroon', 'light blue', 'dark blue', 'blue', 'dark red', 'dark orange', 'royal blue', 'goldenrod','lawngreen', 
'firebrick2', 'bisque3', 'cadetblue3', 'coral2', 'chartreuse4', 'lawngreen', 'firebrick2', 'bisque3', 'cadetblue3', 'coral2'))+
  theme(legend.position="top")+ theme(panel.grid.major = element_blank(), panel.grid.minor = element_blank(),
            panel.background = element_blank(), axis.line = element_line(colour = "black")) 
